Skip to main content
Server path: /launchdarkly-workflows | Type: Application | PCID required: Yes

Tools

ToolDescription
launchdarkly_workflows_create_release_for_flagCreate a new release for flag
launchdarkly_workflows_create_workflow_templateCreate workflow template
launchdarkly_workflows_delete_approval_requestDelete approval request
launchdarkly_workflows_delete_approval_request_for_flagDelete approval request for a flag
launchdarkly_workflows_delete_release_by_flag_keyDelete a release for flag
launchdarkly_workflows_delete_release_pipelineDelete release pipeline
launchdarkly_workflows_delete_release_policyDelete a release policy
launchdarkly_workflows_delete_workflowDelete workflow
launchdarkly_workflows_delete_workflow_templateDelete workflow template
launchdarkly_workflows_get_all_release_pipelinesGet all release pipelines
launchdarkly_workflows_get_all_release_progressions_for_release_pipelineGet release progressions for release pipeline
launchdarkly_workflows_get_approval_for_flagGet approval request for a flag
launchdarkly_workflows_get_approval_requestGet approval request
launchdarkly_workflows_get_approval_request_settingsGet approval request settings
launchdarkly_workflows_get_approval_requestsList approval requests
launchdarkly_workflows_get_approvals_for_flagList approval requests for a flag
launchdarkly_workflows_get_custom_workflowGet custom workflow
launchdarkly_workflows_get_release_by_flag_keyGet release for flag
launchdarkly_workflows_get_release_pipeline_by_keyGet release pipeline by key
launchdarkly_workflows_get_release_policiesList release policies
launchdarkly_workflows_get_release_policyGet a release policy by key
launchdarkly_workflows_get_workflow_templatesGet workflow templates
launchdarkly_workflows_get_workflowsGet workflows
launchdarkly_workflows_patch_approval_requestUpdate approval request
launchdarkly_workflows_patch_approval_request_settingsUpdate approval request settings
launchdarkly_workflows_patch_flag_config_approval_requestUpdate flag approval request
launchdarkly_workflows_patch_release_by_flag_keyPatch release for flag
launchdarkly_workflows_post_approval_requestCreate approval request
launchdarkly_workflows_post_approval_request_applyApply approval request
launchdarkly_workflows_post_approval_request_apply_for_flagApply approval request for a flag
launchdarkly_workflows_post_approval_request_for_flagCreate approval request for a flag
launchdarkly_workflows_post_approval_request_reviewReview approval request
launchdarkly_workflows_post_approval_request_review_for_flagReview approval request for a flag
launchdarkly_workflows_post_flag_copy_config_approval_requestCreate approval request to copy flag configurations across environments
launchdarkly_workflows_post_release_pipelineCreate a release pipeline
launchdarkly_workflows_post_release_policies_orderUpdate the order of existing release policies
launchdarkly_workflows_post_release_policyCreate a release policy
launchdarkly_workflows_post_workflowCreate workflow
launchdarkly_workflows_put_release_pipelineUpdate a release pipeline
launchdarkly_workflows_put_release_policyUpdate a release policy
launchdarkly_workflows_update_phase_statusUpdate phase status for release

launchdarkly_workflows_create_release_for_flag

Create a new release for flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
flagKeystringYesThe flag key
releasePipelineKeystringYesThe key of the release pipeline to attach the flag to
releaseVariationIdstringNoThe variation id to release to across all phases

launchdarkly_workflows_create_workflow_template

Create workflow template Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoThe description value
environmentKeystringNoEnvironment Key
flagKeystringNoFlag Key
keystringYesThe key value
namestringNoThe name value
projectKeystringNoProject Key
stagesobject[]NoThe stages value
workflowIdstringNoWorkflow Id

launchdarkly_workflows_delete_approval_request

Delete approval request Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe approval request ID

launchdarkly_workflows_delete_approval_request_for_flag

Delete approval request for a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe feature flag approval request ID

launchdarkly_workflows_delete_release_by_flag_key

Delete a release for flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
flagKeystringYesThe flag key

launchdarkly_workflows_delete_release_pipeline

Delete release pipeline Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
pipelineKeystringYesThe release pipeline key

launchdarkly_workflows_delete_release_policy

Delete a release policy Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
policyKeystringYesThe human-readable key of the release policy

launchdarkly_workflows_delete_workflow

Delete workflow Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
workflowIdstringYesThe workflow id

launchdarkly_workflows_delete_workflow_template

Delete workflow template Parameters:
ParameterTypeRequiredDefaultDescription
templateKeystringYesThe template key

launchdarkly_workflows_get_all_release_pipelines

Get all release pipelines Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
filterstringNoA comma-separated list of filters. Each filter is of the form field:value. Read the endpoint description for a full list of available filter fields.
limitintegerNoThe maximum number of items to return. Defaults to 20.
offsetintegerNoWhere to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

launchdarkly_workflows_get_all_release_progressions_for_release_pipeline

Get release progressions for release pipeline Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
pipelineKeystringYesThe pipeline key
filterstringNoAccepts filter by status and activePhaseId. status can take a value of completed or active. activePhaseId takes a UUID and will filter results down to releases active on the specified phase. Providing status equals completed along with an activePhaseId filter will return an error as they are disjoint sets of data. The combination of status equals active and activePhaseId will return the same results as activePhaseId alone.
limitintegerNoThe maximum number of items to return. Defaults to 20.
offsetintegerNoWhere to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

launchdarkly_workflows_get_approval_for_flag

Get approval request for a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe feature flag approval request ID

launchdarkly_workflows_get_approval_request

Get approval request Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe approval request ID
expandstringNoA comma-separated list of fields to expand in the response. Supported fields are explained above.

launchdarkly_workflows_get_approval_request_settings

Get approval request settings Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
environmentKeystringNoAn environment key filter to apply to the approval request settings.
resourceKindstringNoA resource kind filter to apply to the approval request settings.
expandstringNoA comma-separated list of fields to expand in the response. Options include ‘default’ and ‘strict’.

launchdarkly_workflows_get_approval_requests

List approval requests Parameters:
ParameterTypeRequiredDefaultDescription
filterstringNoA comma-separated list of filters. Each filter is of the form field operator value. Supported fields are explained above.
expandstringNoA comma-separated list of fields to expand in the response. Supported fields are explained above.
limitintegerNoThe number of approvals to return. Defaults to 20. Maximum limit is 200.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

launchdarkly_workflows_get_approvals_for_flag

List approval requests for a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key

launchdarkly_workflows_get_custom_workflow

Get custom workflow Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
workflowIdstringYesThe workflow ID

launchdarkly_workflows_get_release_by_flag_key

Get release for flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
flagKeystringYesThe flag key

launchdarkly_workflows_get_release_pipeline_by_key

Get release pipeline by key Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
pipelineKeystringYesThe release pipeline key

launchdarkly_workflows_get_release_policies

List release policies Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
excludeDefaultbooleanNoWhen true, exclude the default release policy from the response. When false or omitted, include the default policy if an environment filter is present.

launchdarkly_workflows_get_release_policy

Get a release policy by key Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
policyKeystringYesThe release policy key

launchdarkly_workflows_get_workflow_templates

Get workflow templates Parameters:
ParameterTypeRequiredDefaultDescription
summarybooleanNoWhether the entire template object or just a summary should be returned
searchstringNoThe substring in either the name or description of a template

launchdarkly_workflows_get_workflows

Get workflows Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
statusstringNoFilter results by workflow status. Valid status filters are active, completed, and failed.
sortstringNoA field to sort the items by. Prefix field by a dash ( - ) to sort in descending order. This endpoint supports sorting by creationDate or stopDate.
limitintegerNoThe maximum number of workflows to return. Defaults to 20.
offsetintegerNoWhere to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

launchdarkly_workflows_patch_approval_request

Update approval request Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe approval ID
commentstringNoOptional comment describing the update
instructionsobject[]YesThe instructions value

launchdarkly_workflows_patch_approval_request_settings

Update approval request settings Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
autoApplyApprovedChangesbooleanNoAutomatically apply changes that have been approved by all reviewers. This field is only applicable for approval services other than LaunchDarkly.
bypassApprovalsForPendingChangesbooleanNoWhether to skip approvals for pending changes
canApplyDeclinedChangesbooleanNoAllow applying the change as long as at least one person has approved
canReviewOwnRequestbooleanNoAllow someone who makes an approval request to apply their own change
environmentKeystringYesEnvironment Key
minNumApprovalsintegerNoSets the amount of approvals required before a member can apply a change. The minimum is one and the maximum is five.
requiredbooleanNoIf approvals are required for this environment
requiredApprovalTagsstring[]NoRequire approval only on flags with the provided tags. Otherwise all flags will require approval.
resourceKindstringYesResource Kind
serviceConfigobjectNoArbitrary service-specific configuration
serviceKindstringNoWhich service to use for managing approvals
serviceKindConfigurationIdstringNoOptional integration configuration ID of a custom approval integration. This is an Enterprise-only feature.

launchdarkly_workflows_patch_flag_config_approval_request

Update flag approval request Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe approval ID

launchdarkly_workflows_patch_release_by_flag_key

Patch release for flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
flagKeystringYesThe flag key
bodyobject[]YesRequest body

launchdarkly_workflows_post_approval_request

Create approval request Parameters:
ParameterTypeRequiredDefaultDescription
commentstringNoOptional comment describing the approval request
descriptionstringYesA brief description of the changes you’re requesting
instructionsobject[]YesThe instructions value
integrationConfigobjectNoIntegration Config
notifyMemberIdsstring[]NoAn array of member IDs. These members are notified to review the approval request.
notifyTeamKeysstring[]NoAn array of team keys. The members of these teams are notified to review the approval request.
resourceIdstringYesString representation of the resource specifier

launchdarkly_workflows_post_approval_request_apply

Apply approval request Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe approval request ID
commentstringNoOptional comment about the approval request

launchdarkly_workflows_post_approval_request_apply_for_flag

Apply approval request for a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe feature flag approval request ID
commentstringNoOptional comment about the approval request

launchdarkly_workflows_post_approval_request_for_flag

Create approval request for a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
commentstringNoOptional comment describing the approval request
descriptionstringYesA brief description of the changes you’re requesting
executionDateintegerNoExecution Date
instructionsobject[]YesThe instructions value
integrationConfigobjectNoIntegration Config
notifyMemberIdsstring[]NoAn array of member IDs. These members are notified to review the approval request.
notifyTeamKeysstring[]NoAn array of team keys. The members of these teams are notified to review the approval request.
operatingOnIdstringNoThe ID of a scheduled change. Include this if your <code>instructions</code> include editing or deleting a scheduled change.

launchdarkly_workflows_post_approval_request_review

Review approval request Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe approval request ID
commentstringNoOptional comment about the approval request
kindstringNoThe type of review for this approval request

launchdarkly_workflows_post_approval_request_review_for_flag

Review approval request for a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe feature flag approval request ID
commentstringNoOptional comment about the approval request
kindstringNoThe type of review for this approval request

launchdarkly_workflows_post_flag_copy_config_approval_request

Create approval request to copy flag configurations across environments Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key for the target environment
commentstringNoOptional comment describing the approval request
descriptionstringYesA brief description of your changes
excludedActionsstring[]NoOptional list of the flag changes NOT to copy from the source environment to the target environment. You may include either <code>includedActions</code> or <code>excludedActions</code>, but not both. If neither are included, then all flag changes will be copied.
includedActionsstring[]NoOptional list of the flag changes to copy from the source environment to the target environment. You may include either <code>includedActions</code> or <code>excludedActions</code>, but not both. If neither are included, then all flag changes will be copied.
notifyMemberIdsstring[]NoAn array of member IDs. These members are notified to review the approval request.
notifyTeamKeysstring[]NoAn array of team keys. The members of these teams are notified to review the approval request.
sourceobjectYesThe source value

launchdarkly_workflows_post_release_pipeline

Create a release pipeline Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
descriptionstringNoThe release pipeline description
isLegacybooleanNoWhether or not the pipeline is enabled for Release Automation.
isProjectDefaultbooleanNoWhether or not the newly created pipeline should be set as the default pipeline for this project
keystringYesThe unique identifier of this release pipeline
namestringYesThe name of the release pipeline
phasesobject[]YesA logical grouping of one or more environments that share attributes for rolling out changes
tagsstring[]NoA list of tags for this release pipeline

launchdarkly_workflows_post_release_policies_order

Update the order of existing release policies Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
bodystring[]YesArray of release policy keys in the desired rank order (scoped policies only). These keys must include all of the scoped release policies for the project.

launchdarkly_workflows_post_release_policy

Create a release policy Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
guardedReleaseConfigobjectNoConfiguration for guarded releases
keystringYesThe human-readable key of the release policy
namestringYesThe name of the release policy
progressiveReleaseConfigobjectNoConfiguration for progressive releases
releaseMethodstringYesThe release method for this policy
scopeobjectNoThe scope value

launchdarkly_workflows_post_workflow

Create workflow Parameters:
ParameterTypeRequiredDefaultDescription
templateKeystringNoThe template key to apply as a starting point for the new workflow
dryRunbooleanNoWhether to call the endpoint in dry-run mode
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
descriptionstringNoThe workflow description
maintainerIdstringNoMaintainer Id
namestringYesThe workflow name
stagesobject[]NoA list of the workflow stages

launchdarkly_workflows_put_release_pipeline

Update a release pipeline Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
pipelineKeystringYesThe release pipeline key
descriptionstringNoThe release pipeline description
namestringYesThe name of the release pipeline
phasesobject[]YesA logical grouping of one or more environments that share attributes for rolling out changes
tagsstring[]NoA list of tags for this release pipeline

launchdarkly_workflows_put_release_policy

Update a release policy Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
policyKeystringYesThe human-readable key of the release policy
guardedReleaseConfigobjectNoConfiguration for guarded releases
namestringYesThe name of the release policy
progressiveReleaseConfigobjectNoConfiguration for progressive releases
releaseMethodstringYesThe release method for this policy
scopeobjectNoThe scope value

launchdarkly_workflows_update_phase_status

Update phase status for release Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
flagKeystringYesThe flag key
phaseIdstringYesThe phase ID
audiencesobject[]NoExtra configuration for audiences required upon phase initialization.
statusstringNoThe status value